GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get visibility overview GETGet visibility by country GETGet visibility heatmap GET
Visibility

Get visibility overview GET

Visibility, share of voice and position for the brand and its competitors.

Get visibility heatmap GET

A metric pivoted by two of brands, models, topics and countries.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Visibility

Get visibility by country

GET
/brands/{brandId}/dashboard/countries

The brand's visibility per response country.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$

Response Body

Countries with responses, highest visibility first

application/json
  1. response
  1. response
  2. …
items*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/countries'
Example Response
{  "items": [    {      "code": "string",      "responses": 0,      "visibility": 0    }  ]}

Get visibility overview GET

Visibility, share of voice and position for the brand and its competitors.

Get visibility heatmap GET

A metric pivoted by two of brands, models, topics and countries.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/countries'
{
  "items": [
    {
      "code": "string",
      "responses": 0,
      "visibility": 0
    }
  ]
}